Mono.Parallel 4.0.0.0 System.Object Implementation of a closable scalable non-zero indicator. It has the same API than but also allow to temporarily disable state change.
- Constructor
  4.0.0.0
  Initialize Snzi object with a zero value.
- Method
  4.0.0.0
  Mono.Threading.CSnziNode Increment the state of the CSnzi object. Returns the internal node where the increment action occured. Returns null if CSnzi is closed. To undo an Arrive, you must call using the returned node object as an argument.
- Method
  4.0.0.0
  System.Boolean Close the CSnzi object to subsequent Arrive or Depart action until is called. True if the state of the CSnzi was zero or if it was already closed, otherwise.
- Method
  4.0.0.0
  System.Boolean `` The node to execute the decrement operation on. Decrement the state of the CSnzi object. True if the CSnzi is open and its state is zero, otherwise. Node argument must have been returned by a prior call.
- Method
  4.0.0.0
  System.Void To be added. To be added.
- Method
  4.0.0.0
  System.Tuple<System.Boolean,Mono.Threading.CSnziState> Returns the current state of the CSnzi object. A object with CSnzi current state informations.